#ifndef __MEMORY_H
#define __MEMORY_H

#include <stdlib.h>

extern char* memory_identity;

extern void memory_setup(size_t total_size);
extern void memory_cleanup();

extern void* memory_get_start();
extern void* memory_get_end();

extern void memory_set_heap_start(void* heap_start);

extern void* memory_allocate(int words);

#endif
